# Uses of Interface
org.eclipse.birt.report.model.api.extension.IChoiceDefinition

Packages that use IChoiceDefinition
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IChoiceDefinition in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IChoiceDefinition
Modifier and Type
Class
Description
`class`
`ChoiceDefinition`
Adapter class for the IChoiceDefinition class.
Methods in org.eclipse.birt.report.model.api.extension that return types with arguments of type IChoiceDefinition
Modifier and Type
Method
Description
`List<IChoiceDefinition>`
IPropertyDefinition.`getChoices()`
Returns a list of choices if the property is a choice (type is CHOICE_TYPE).
`List<IChoiceDefinition>`
PropertyDefinition.`getChoices()`